* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --theme1: #ffffff;
    --theme2: #117869;
    --theme2-transparent: #117869BF;
    --theme3: #AEDDD5;
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 80px;
}

/* Start of Header */

header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    position: sticky;
    top: 0;
    background-color: var(--theme1);
    height: 80px;
    width: 100%;
    align-items: center;
    z-index: 1000;
    transition: height 0.3s ease;

}

#logo {
    height: 100%;    
    overflow: hidden;
}

#logo img {
    height: 100%;
    padding-top: .3%;
    margin-left: .5rem;
    flex-shrink: 0;
    object-fit: contain;
}

#profile-links {
    display: flex;
    margin: 0 1.2rem;
    gap: clamp(1rem, 1vw, 3rem);
}

#profile-links a {
    text-decoration: none;
    color: var(--theme2);
    font-size: 1.1rem;
}

#navbar {
    display: flex;
    margin-left: auto;
    height: 100%;
    align-items: center;
    background-color: var(--theme1);
}

#navbar a {
    font-family: Roboto, sans-serif;
    text-decoration: none;
    color: var(--theme2);
    font-size: 1.1rem;
    font-weight: 400;
    padding: 1vw;
}

#navbar a:hover {
    display: flex;
    background-color: var(--theme3);
    height: 100%;
    align-items: center;
}

.active {
    display: flex;
    background-color: var(--theme3) !important;
    color: var(--theme1) !important;
    height: 100%;
    align-items: center;
    gap: .3rem;
}

.dropbtn {
    text-decoration: none;
    display: flex;
    background-color: var(--theme1);
    color: var(--theme2);
    font-family: Roboto, sans-serif;
    font-size: 1.1rem;
    font-weight: 400;
    height: 100%;
    padding: 1vw;
    border: none;
    align-items: center;
    gap: .3rem;
}

.dropdown {
    position: relative;
    display: inline-block;
    height: 100%;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--theme1);
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1000;
}

.dropdown-content a {
    font-family: Roboto, sans-serif;
    text-decoration: none;
    color: var(--theme2);
    padding: .7vw;
    border-bottom: 1px solid var(--theme3);
    font-size: .9rem;
    display: block;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: var(--theme3);
}

/* End of Header */


/* Start of Welcome Section */

#welcome-section {
    position: relative;
    background-color: var(--theme2-transparent);
    height: calc(100vh - 80px);
    overflow: hidden;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

#title {
    z-index: 1;
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    margin-bottom: -1%;
    filter: drop-shadow(2px 4px 6px rgba(0, 0, 0, 0.5));
}

#welcome-section::before {
    content: "";
    position: absolute;
    width: 100%;
    height: calc(100vh - 80px);
    background-image: url(/assets/home/Pop_Tab_Pattern_Tile.png);
    background-repeat: repeat;
    background-size: 650px;
    overlay: hidden;
    z-index: -1;
}

.welcome-section-svg {
    position: relative;
    width: 100%;
    height: 100%;
}

.shape-divider-bottom {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
    z-index: 2;
    align-self: baseline;
}

.shape-divider-bottom svg {
    position: absolute;
    display: block;
    width: calc(100% + 1.3px);
    height: 100%;
}

.shape-divider-fill {
    fill: var(--theme1);
}

#filler-shape {
    width: 100%;
    height: 40vh;
    margin-top: -1px;
    background-color: var(--theme1);
    z-index: 3;
}

.down-arrow {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 4;
}

.down-arrow svg {
    position: relative;
    display: block;
    width: 7vh;
    height: auto; 
    fill: var(--theme2);
    animation: bounce-pause 4s ease-in-out infinite;

}

@keyframes bounce-pause {
    0%   { transform: translateY(0); }
    15%  { transform: translateY(20px); } /* Reach peak */
    30%  { transform: translateY(0); }     /* Return to start */
    45%  { transform: translateY(20px); } /* Reach peak */
    60%  { transform: translateY(0); }     /* Return to start */
    /* The "Pause": 50% to 100% has no changes */
    100% { transform: translateY(0); }  
}

.portfolio {
    display: none;
}

/* End of Welcome Section */

/* Start of Project Section */

.tilerow {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 1.5rem;
    margin: 0 4rem 2rem 4rem;
}

.photography {
    margin: 0 6rem 2rem 6rem !important;
}

 .tilerow > .splide {
  min-width: 0;   /* VERY important */
 }

.splide__slide img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: contain;
}

#redefining-representation {
    flex: 0.65;
}

#missing-parts {
    flex: 0.7727;
}

#lucky-bucky {
    flex: 1;
}

#unorthodox-commands {
    flex: 1;
}

#in-frame {
    flex: 1;
}

#thrice-the-man {
    flex: 0.7727;
}

#vibrato {
    flex: 1;
}

#trimet-rebrand {
    flex: 1.3;
}

#pop-tab {
    flex: 1.16;
}

#construct-the-burger {
    flex: 1.33;
}

#garage-guys {
    flex: 1;
}

#trimet-app-redesign {
    flex: 1.78;
}

#grime-be-gone {
    flex: 3.33;
}

#resilience-and-reinvention {
    flex: 3.33;
}

#bomb-pop-magazine {
    flex: 1;
}

#atyab-akleh {
    flex: 1.78;
}

#punk-wont-die {
    flex: 1.78;
}

#butterfly-conservatory {
    flex: 1.5;
}

#puzzled {
    flex: 1.33;
}

#jaz-portraits {
    flex: 1.25;
}

#leo-portraits {
    flex: 1.249;
}

#covid {
    flex: 1.25;
}

#in-control {
    flex: 1;
}

/* End of Project Section */

/* Start of Footer */

footer {
    display: flex;
    gap: 1rem;
    flex-direction: column;
    align-items: center;
    background-color: var(--theme1);
    padding: 1rem 0;
}

footer nav {
    display: flex;
    gap: 1rem;
    font-family: Roboto, sans-serif;
    font-weight: 400;
    font-size: 1rem;
}

footer nav a:link {
    color: var(--theme2);
}

footer nav a:visited {
    color: var(--theme2);
}

footer nav a:active {
    text-decoration: none;
    color: var(--theme3);
}

footer #copyright {
    font-size: .77rem;
    color: var(--theme2);
    font-family: Roboto, sans-serif;
    font-weight: 600;
}

/* Explicitly for Work Pages */

.work-body {
    background-color: var(--theme1);
}

.work-header {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 140px;
    margin-bottom: 1.5rem;
}

.filler-shape-green {
    width: 100%;
    height: 40px;
    margin-top: -1px;
    background-color: var(--theme2);
    z-index: 1;
}

.shape-divider-top-green {
    position: relative;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    z-index: -1;
}

.shape-divider-top-green svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 100px;
}

.shape-divider-fill-green {
    fill: var(--theme2);
}

.work-title {
    z-index: 2;
    color: var(--theme1);
    font-family: Roboto, sans-serif;
    font-size: 2.5rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
 }

 /* End of Work Pages */